Skip to main content
GET
/
api
/
public
/
broker
/
assets
/
List Assets
curl --request GET \
  --url https://app.digitalsurge.com.au/api/public/broker/assets/
{
  "count": 123,
  "results": [
    {
      "code": "<string>",
      "name": "<string>",
      "tradeable": true,
      "decimal_places": 123,
      "min_amount": 123,
      "step_size": "<string>",
      "min_withdrawal_amount": 123,
      "withdrawal_step_size": "<string>",
      "withdrawal_fee": 123,
      "withdrawals_enabled": true,
      "deposits_enabled": true,
      "withdrawal_note": "<string>",
      "deposit_note": "<string>",
      "global_deposit_note": "<string>",
      "global_deposit_note_level": "<string>",
      "needs_tag": true,
      "min_confirmations": 123,
      "default_network": "<string>",
      "default_network_name": "<string>",
      "rank": 123,
      "color": "<string>",
      "color_dark": "<string>",
      "description": "<string>",
      "website": "<string>",
      "image": "<string>",
      "image_dark": "<string>",
      "stakeable": true,
      "rtcompat": true,
      "swaps_enabled": true,
      "swap_rate_offset": "<string>",
      "triggers_enabled": true,
      "recurring_enabled": true,
      "max_order_size_value": 123,
      "delisted": true,
      "categories": [
        {
          "slug": "<string>",
          "name": "<string>",
          "description": "<string>"
        }
      ],
      "in_discovery_zone": true
    }
  ],
  "next": "http://api.example.org/accounts/?page=4",
  "previous": "http://api.example.org/accounts/?page=2"
}

Query Parameters

category_slug
string
include_delisted
boolean

include_delisted

page
integer

A page number within the paginated result set.

page_size
integer

Number of results to return per page.

Response

200 - application/json
count
integer
required
Example:

123

results
object[]
required
next
string<uri> | null
Example:

"http://api.example.org/accounts/?page=4"

previous
string<uri> | null
Example:

"http://api.example.org/accounts/?page=2"